import request from '@/services/http.request.js'

/* 加入购物车 */
export function shoppingAddCart(data) {
    return request({
        url: '/shopping/add/cart',
        method: 'POST',
        data
    })
}

/* 再次购买(将订单中的商品一键加入购物车) */
export function shoppingAddCartFromOrder(params) {
    return request({
        url: '/shopping/addCart',
        method: 'GET',
        params
    })
}

/* 获取购物车信息 */
export function fetchCartInfo(params) {
    return request({
        url: '/shopping/info',
        method: 'GET',
        params
    })
}

/* 查询购物车数量 */
export function fetchCartProductCount(params) {
    return request({
        url: '/shopping/quantity',
        method: 'GET',
        params
    })
}

/* 更新购物车商品增减 */
export function updateProductCount(data) {
    return request({
        url: '/shopping/update',
        method: 'POST',
        data
    })
}

/* 删除购物车商品 */
export function removeProductFromCart(data) {
    return request({
        url: '/shopping/delete',
        method: 'POST',
        data
    })
}
